## mancala 0.1.9-1

=== Makefile ===
# Copyright (C) 2009 Reto Zingg

subsystem:
	$(MAKE) -C src

install:
	$(MAKE) -C src install
	mkdir -p $(DESTDIR)/usr/share/applications/hildon
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/apps
	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
	cp res/mancala.desktop $(DESTDIR)/usr/share/applications/hildon
	cp res/mancala.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/mancala.png
	cp res/com.nokia.mancala.service $(DESTDIR)/usr/share/dbus-1/services/

clean:
	rm -f build-stamp config.guess config.sub
	rm -rf debian/mancala
	$(MAKE) -C src clean

clobber: clean
	$(MAKE) -C src clobber

maemo-source: clean
	dpkg-buildpackage -rfakeroot -sa -S -us -uc -i -I.git
	
maemo-bin: clean
	dpkg-buildpackage -rfakeroot -b -us -uc

.PHONY: clobber clean install subsystem maemo-source maemo-bin

=== src/Makefile ===
# GNU Makefile -- Makefile
# Kevin Riggle
# 2009 Reto Zingg
# http://cmancala.sourceforge.net
# $Source: /cvsroot/cmancala/mancala/src/Attic/Makefile,v $
# $Revision: 1.10.2.7 $
# $Date: 2004/01/16 20:49:30 $

# NOTE:  You MUST update /etc/ld.so.conf and rerun ldconfig *or* update
# the LD_LIBRARY_PATH environment variable to include /usr/local/lib in
# order to compile with SDL_ttf.

# Linux-dependent right now, modify for platform-independency later
# is now adapted for maemo (and dh_* scripts)

CC = gcc
DBG = gdb
STD = _GNU_SOURCE
CFLAGS = `sdl-config --cflags` -I/usr/local/include/SDL `pkg-config hildon-1 --cflags` -I/usr/include/dbus-1.0/ -I/usr/lib/dbus-1.0/include/
LFLAGS = `sdl-config --static-libs ` -lSDL_image -lSDL_ttf -lSDL_mixer `pkg-config hildon-1 --libs` `pkg-config --libs  libosso`

MAIN_OBJ = main.o graphics.o mancala.o sounds.o play.o
TEST_OBJ = ai-test.o mancala.o

NORMAL = ai.o
RECURSE = ai-init.o ai-recurse.o
ULTIMATE = ai-init.o ai-ultimate.o

#'$<' is filename of input, '$@' is filename of output
.c.o:
	$(CC) -c -g$(DBG) -Wall $(CFLAGS) -D$(STD) $<
.h.o:
	$(CC) -c -g$(DBG) -Wall $(CFLAGS) -D$(STD) $<

all:		$(MAIN_OBJ) $(NORMAL)
	$(CC) $(MAIN_OBJ) $(NORMAL) $(LFLAGS) -o mancala

recurse:	$(MAIN_OBJ) $(RECURSE)
	$(CC) $(MAIN_OBJ) $(RECURSE) $(LFLAGS) -o mancala

ultimate:	$(MAIN_OBJ) $(ULTIMATE)
	$(CC) $(MAIN_OBJ) $(ULTIMATE) $(LFLAGS) -o mancala

ai-test-normal:		$(TEST_OBJ) $(NORMAL)
	$(CC) $(TEST_OBJ) $(NORMAL) $(LFLAGS) -o ai-test

ai-test-recurse:	$(TEST_OBJ) $(RECURSE)
	$(CC) $(TEST_OBJ) $(RECURSE) $(LFLAGS) -o ai-test

ai-test-ultimate: 	$(TEST_OBJ) $(ULTIMATE)
	$(CC) $(TEST_OBJ) $(ULTIMATE) $(LFLAGS) -o ai-test

install:	all
	mkdir -p $(DESTDIR)/home/opt/mancala/bin/
	cp ./mancala $(DESTDIR)/home/opt/mancala/bin/
	mkdir -p $(DESTDIR)/home/opt/mancala/data/
	cp ../res/*.png $(DESTDIR)/home/opt/mancala/data/
	cp ../res/pick.wav $(DESTDIR)/home/opt/mancala/data/


uninstall:
	rm -rf $(DESTDIR)/home/opt/mancala/


clean:
	rm -f *.o *.core *.swp *~ *.log

clobber:	clean
	rm -f mancala ai-test

distclean:	clobber
	@echo "No configuration files to distclean yet."
	@echo "I will do my best to make some! ;-)"

# End Makefile

=== debian/changelog ===
mancala (0.1.9-1) unstable; urgency=low

  * move to /home/opt and remove maemo from name

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Thu, 08 Oct 2009 15:17:48 +0300

maemo-mancala (0.1.8-4) unstable; urgency=low

  * code clean up

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Mon, 05 Oct 2009 18:14:57 +0300

maemo-mancala (0.1.8-3) unstable; urgency=low

  * add dependency to libosso-dev 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Fri, 28 Aug 2009 15:15:24 +0300

maemo-mancala (0.1.8-2) unstable; urgency=low

  * add dependency to libhildon1-dev 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Fri, 28 Aug 2009 15:04:46 +0300

maemo-mancala (0.1.8-1) unstable; urgency=low

  * added icon in debian/control and updated the help text 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Fri, 28 Aug 2009 12:57:39 +0300

maemo-mancala (0.1.7-1) unstable; urgency=low

  * add pannable text area

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Wed, 26 Aug 2009 20:27:34 +0300

maemo-mancala (0.1.6-1) unstable; urgency=low

  * change the used font to SwaRR4nh.ttf 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Wed, 26 Aug 2009 16:16:47 +0300

maemo-mancala (0.1.5-1) unstable; urgency=low

  * better sdl cleanup
  * fixed empty hole move

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sun, 16 Aug 2009 13:02:11 +0300

maemo-mancala (0.1.4-1) unstable; urgency=low

  * added help and start button

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sat, 15 Aug 2009 18:02:11 +0300

maemo-mancala (0.1.3-1) unstable; urgency=low

  * code clean up

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sat, 15 Aug 2009 18:02:11 +0300

maemo-mancala (0.1.2-1) unstable; urgency=low

  * use libosso
  * start in separate window

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sat, 15 Aug 2009 17:03:11 +0300

maemo-mancala (0.1.1-1) unstable; urgency=low

  * added a sound effect
  * made the board bigger

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Fri, 14 Aug 2009 15:08:11 +0300

maemo-mancala (0.1.0-3) unstable; urgency=low

  * add original docs 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Thu, 13 Aug 2009 17:02:43 +0300

maemo-mancala (0.1.0-2) unstable; urgency=low

  * added Icon and Desktop launch 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Thu, 13 Aug 2009 16:10:43 +0300

maemo-mancala (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Wed, 12 Aug 2009 17:19:19 +0300

=== debian/control ===
Source: mancala
Section: games
Priority: extra
Maintainer: Reto Zingg <g.d0b3rm4n@gmail.com>
Build-Depends: debhelper (>= 5), libhildon1-dev, libosso-dev, autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: mancala
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, ${misc:Depends}, eff-content-fonts
Description: Mancala, the ancient African game of skill!
 Maemo version of mancala from http://cmancala.sourceforge.net/
Xb-Maemo-Display-Name: Mancala
Xb-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsSAAALEgHS3X78AAAAB3RJTUUH1AEDFSo7riM2UAAAE05JREFUeJzFmmmwpVd1np+1h284
 0x17VA9q1JqQ1AgXgk5kQSQUBgtSTsWxIY6TAjM4iW05QBJDqBCn7EqiChic/HBsnGADEjHICkgM
 UkBDjARCMggZ0UKtHtW3x9u37z3TN+0hP07rqi+Skjbgyqo6der8+c777vWucX/COXbHr26XbpbL
 jf/pyQDwJ+/cql1dqLf/8WLDT8juff/VcmrkOzGxYbrbHb/hQw/En9SzAbj717fLT/SBL2C3vevy
 5LZfucje/u6Lfuz/+pEf8Nl3bjFLK6O5+V731N/7+OEA8Jm3b209+Nip+fHYtzbM5jNZnlhjNEp5
 oihCEL9pXXvf5qlsuXSl+9nf3+/+vxH42gdeZlRU6d4Dp9KllVp9f//yJZ1M/4xS6saXXjyzddQf
 ZVVZqV4no9NNEZNweqVsFo4XD8XAEZ2Eb160tf3QXC8/3m254mc+duRHktKPROCh//i3lK9W5r/y
 tYM3nThd/MOdG5NdrZaemeuKNmnKVLeDqypW+n2iCGkrod3JaHenAIMD/uL7x8fLS+XS0pniCzsu
 yG/dfeXm77zmP3xv/NdG4O73XaHG46EqGz/30HdX3uwa/4+2bmjvunh7t2djLT5EXAjkrRxjQSKU
 dcC5gLUGpSNpYonKoBJLkqWUZcGxhWW3Z9/wWL9ffuWCDfmnr3/VBd+WNB9e+6+/dV4eOS8C9/zL
 y2TYH85/58n+dUWj3z0zle7esaXb6eUoCBRFhTaaNMsRgag1rU4XV5aUg5KmaRDRBF+TpIosNZjE
 gDK4RrEyLDi5OGoOLawcrl388tWXz3xk6+bOwRt+Z8+Lkrj7n18hTV1bfT4EXnvZ7LpDJ6rrV4bu
 Q9e8bOPuTes7mdGIoAlKo5ShrgMeUNoS8VRlTV2UjEcF5ajAGk/azjGZIbEWmyp81HgfqZtIt5Pp
 yy+enkWrXT/YuzwvIR68+cYNS3/yzSX/Qpg+9c1TvOmK9v/bA/f+1nXr/uxLj39k3Xz+pgvWd6Za
 LSNZaiiqBo1CIcS6pKorogrYJCPTgvIOm2bYLMVaC/UI3cmIaYJBE3zENTV17Sn6QyQm5C0h6XY5
 cqzvnnzy1MJ02/7mT+/e/me7P/hw/dlfu0z+/n9+8nke+b8S+C9vfcnMnn2Lv7dty9QvXLhtxgYH
 dVUhEiBGXFWiRUGQieiVYI1Gd9qYRGNTRZKkKNWg05TEKHCBpqxRwWO0hgjjYUkxHpAagzKaqDWC
 5sv3HToelX7PNVfOf+4X/2DvCxbTF5XQ3e//KfvU/sXXZ0b/i40bWm3nA41zFGVFWTuK0lF7QdsM
 hwdlEIkUVcN4UFCWDuUV0Udc4RkvDymHJa72iItUpWc0GjMYjKlrR2JSaoQQFHXjaBrFXFt1Dhwe
 tFuJffBXb9y4fOu3Tp8fgW98+Fp139cPvm5ppfydrZumtkWiVGWNc5HoIdSRsnL4KBSVwwVNVXqK
 oqapInUV8UXFaDBmtDKgGBYoH/FlQ6gcxWhMPa4JTcBXjhgjibGk1qIM6AhEjyJQFc2WHxxe6Y2L
 8oH7D1TVD2M1L0Tg2OHj64aj6uaLd85d2Upy6S8vMx6VNC4iIigBYzQ0ER8CY1ehJWBTRW4FpSOK
 SBQIoaZsNKO5S1HtDSRpiomefOV7ZGFInhmsSSFGmmpM0zT4pkQE0iRl967ZrHdg8HefPDT8LHDP
 D2NdEwOffuuWpNXNWvc8evy3uu3kHetmbauuGpqqIVEGj0abid59CAhCiIFWlhAEYnSoACaxKG2I
 3hGNYnH9DTC9nV6vR7fbpdPpYLUi23876egAIXiqoiZLWrTaGl+M8XVJ1ZQ4D0Xj4yPfGz4uot/6
 uw/395yLWZ37ozMd+MHCmasKF37WJLQ8CpOlpHlGUBqTaTBCQDCJJcksrU6LaDQBiGi8EuqmpnEO
 JwmLs9dSpOtRSqG1xhhDmqZMz86RvuyXGLa2UolF52281QyLBocQbEY+Ncf07Dwbt2ySv3nN1isH
 o+b9n3zbRVNfunnn6sGvSugz79ogXmk5dKx4zfpZu6mdG4QIHiKCSoWoQZsUFQQIRC1EJUQX0Ubw
 ziHK4pqKECKhNUfZ2vw8icYYJ7pv9WimdhGXD1I7T6IFURFlFAh4H9A2R4wwPaf0RRdN3xjErxcd
 h4BfQ+Atf3AifuIf75jynutne7lxeMbjCtCEEBCtSFKLqxzOA8GhtOBbG5D1l9BqtTFGEVaOok48
 gXhPQBNlkie89zjnaJqGuq4ZjUaUZYlKu6SiSadaKO+JeNCCKwvKqmI8HCFaCMGhnZv5yycGr73+
 VZsPPY/APe+7Ug4e7W+Y6tldgGhlkXZCdFBUNXXpqBtAIok1+CAU05cj266h25siP6vvPM8ZHflL
 lh78Y1QMq6feNA1VVWGtRSmFcw6lFM1gAP0h1coAkYjNLVmakhuLshNv+jLgfOCSeZsdPjx8Vd0v
 PwXUawgsLx2z3/ju4C0b1rdnnGiQgDYWb8AohUmFuq5wzjEqSuLcpbDpaqzSq9q21tJqtVj/U68l
 uoLjTzyAig1BLN57iqJARPDeU5YlIkI8vUBzZpkYHJnNsVXNOKnIE01iAoSAqzzeg4sCWl532/1H
 NwDDNQS8aUlqxjNTvZYua0+UQKjHuCi4KqBQKCNoq1FK02x8KajnykiMcfU7hMD0jms48shXUGf2
 E2YuARHquiaEQF3XWGuRZkTn6HfQNseKUJcO39T4OKZIhPmZhCRJUDalrCqiEi68oNtZGp6xzwvi
 r33j5LTzvLw/GONROBSJBYmR0DQEFN4Jzk3yTaoTAEIIOOdwzlHXNUVREEIgiEaFQLrwKMZmlJ0t
 IBrnHN45mljRW/w6uGUKAi7AzExOmhqsDROva0NQCqqapK0YjsYE8abbVVPPIzAah97cfLazacCH
 SJCGUeWRqIleJhVDTXp7757rqZ490bIs0XoS8GVZ4r0nRnDVGPPMn9OZuxBvOgggwdEqjpLJGGMV
 ibEkVih8QzEqaLdS0kxT1gHEExqFTnLWdTeCOZU/teCugvLhNQRauVHGGDOqGpTSpFawOqGsPLXz
 KKVRMRJxNB5MNUKSDjHGVT2HEKiqCq019bhP7SOYFg2COXMKpgxZq0NiMxzzlKf3E6Ig1DQukqSW
 VOUcP1Lh/YjUGkQp2j0FriFJGwaDkSyeaa4FPr6GgE6EtJsxnU9RVY7hYEhdNogIectSe0dEUwdH
 8JHi4GNkl74aleSEECiKAufcapYZP/UAfriEjw3WzONfciOtmQ3kvSk6nQ55aikPP8biX3yeWNeI
 Cvjao3PHpk0pVufkbYUxgojHKE2Wt2kqxZ6F5dZX37NT3/iRp/1zvVAQXO1xOhC0JutNoZ3D156A
 wlqPd5EYNCE4GJ+geeZhkq2vBJuvSqcaDykXniAc+jZWC6YzTbjwBlTawxi7Wok7vR7rrnkjKDj9
 6B1YJXRbKePhkFNLQxJt2daeQ0cBrVFaiE2FkYbciomZTYBilYCrPNWgwleOKgQEjdYQoyeIIkQh
 hknvU/nAoCrxy3vIjh0nnd6EMpPTqvpLMDhBK89opYLffBUh6QIgIqsfpRRJkrDpilcz2PcIZngc
 iYp2K2cYHGU5oq6nyLuWunaUrsLGQCIQQzRKMrNGQiKgE4VoQRxE8bg6EBFEHIgiiEYroZtl1CFA
 8BALWDmAUpEogisdRgve1+ASgm2vptdzq3FZlpP0HYSsPctg8RDBNYjAuvl5rGooyiFaEqZ7U3in
 KKuak/1+XBnVzenDR9QaAp2OGVaj6kBruvNyk8C4bhAimjgBf7aalj6ilUzABoWZ2oBJ22hriK4m
 Ns/gXEmmFFXtkBiRc7JVVVUURQFAVVUTYrEh76QoCWhtqJqamARmZ9s0ZaCsRtRlOWndSzPcuXXq
 M0HbtYXsphu2L33x3sPfUkZerrTBChPXlTVKFErrSXGLEedA2ZTupdcyvfUyZubm6Xa7JFYzOHGQ
 vf/rU8RygEksITw3CT5bJ0QE5xzGGLyrwZVkmUHFiBBJE401Gh80qEhdFECDrxtGRePrWh9/yydO
 ru2FXFWEpnFLVb/wNk+0PqvTKJrSBXAerSIwiYXeJT9NvnEnad7CGEOSJPR6PTZt3kK3O80jt96C
 A+T008jUFtCTdmI8HuO9X0239J8hX16gjA3R1yBC3zkyq+i1M5JEoQGtE1rdjJP7TvcRf+ZZ3Kvz
 wGDZ1bsumb491G5ZnCM6j46CUZYQFE0dcE3E+UC6/kLSdRciIqvBqZRCKYW1lpdcdQ3TF7+S/sqI
 lYWDVHsfgLOtxrMpdzAYMD55ANl/Lyp6fNNQVAFjEqampun0euS5Jc8VJk9QiaLVznFR7nrja7Y9
 /TwCv/DfD8esmz0jIt+NWsUoQhMCLkxmVm00USlCELBtlDargLz3a9rkwWDA/JZtJGlCllqS8XHk
 qS/DyT2oM/vQy/uwJ75DevheVHR4pbF5zsxMD2U1IXp8cDg0otskSYbVKd996kxZlP7OG/79E6uz
 8ZqZeMfOudPf37dyXxnUdUora4PDG9C1x/mAUnJ28mI1szwLvCzL1TZZRKirBufjxJMG7HCRtFlG
 W41WiiQ1YCJRNEprvILgPFpAtw2pVWefXwGRpq5Y6Y/2dlv6z8/FvGakTFutcOGWmXuLUXnMe08g
 TtKr0Sh1NhW6QHCOeLbXb5qGoigYj8cMh0NWVlZYWVlh+cwSg1GD0hqU4IKnrB1V7fAh0lQNNB4J
 gbppiMFNvEykHNc0tcO7Cu8mG3gftT+x6L4gyhQvSmD3r//veMXO6cdaWn2+7Jfj8bhhOKyom0CI
 wrM93MqxA7iyWPXCs5ru9/v0+32Wzyxx4slv02mnZEmC0ZYYIMaAEAnRg0REgW8crqxoqmpCQkVi
 CJRVQ+WEpNWjVDo+9PjiobnZ9PO3fP1MOBfz8/ZCn7j/WPOe188/vv/I6BVKmx1KiSgRrFYogRAi
 uJrxqSO0129H2RTguQI1HrLw0P9kuHgULUKWqklnqgJCIEuELLUoqxEltNKU1GoIEdc4iIIFNILE
 wGAw4tDR8biu+bfXvWL+ztu+ubSK9TNv2yIvuNh6+/UbijMr5VJ/UF+ltKxDKWl8IEYQItFHfDmi
 XDyMKIWvxvhihXr5OCt7HqRYXKCdJ+SpgRgRAsoIEhSCOducgULwLlCOxzSjgnrsqcuK6B14R2Yt
 R0+W5TNH+p/dOm9//+2fXuifi/Nzj/XX7oXuunmHvOljByLAff/m6vThx0+++elnhn/ojZkuywYR
 hcSId44QIyFOFl1ac1YmAavByCQAjYpYY2i1LB5DXZRoHbGJwRghNQodA8E1mCjY1GJUJEsV5uwo
 +8gTy1+6dFv7n/zGXYuHX+iw18SAQXPP+y4VgOv/3WPVzFz+QGq5S4JvbGIRNWkpRCuMNaSJJUsT
 0jTBxzipBSJoI2SpRgl43zDojwj1iMQ68lyISlHUAR8DGI3NU5Q1aKtI8wTRCWmS8MT+0fHpXvbf
 dl11wZEfBv7F35hcEK5Jo2/42NNr1tfzmSxed82699730Em8c29KrJmqBYlBJgEZJ2vGKJCmCiMQ
 fKRyntJNgtRojTVCHcGIYEUjsaGbKXIj2LNS0i2DTgWbJoxGzu0/MFhYv6H1m6/cve0L13/gW2sC
 945/tkUVkzVpPK8bmk/+ykvnjx5bec3TB5c/pNrZlaKU+MYRQiCGgBLBh4BiQkgpjahJvBAjxmqs
 FfLUIoBREdERfEAzSdG+aeh0MpZWmnJxqfgfl25vf/Sll6z7/utueaI+F8sD/+oiCaKpG3j9h5+K
 53VDc8ejp8bvfeP2p4+d6j85GtYbXe3WayVWKURiILrJMhcfIYLRglagtCDRo0VIrEYLZFYhEsmy
 jCxPSKxFKU1R1M3RY6ODw1H9p7sunr5l24bWUzd97KnnXcP+ncttW6HdGz66LwLIF9+zU276yNPn
 daF2+9u2qNKoufsfPvnqpuFdYthtU9sNPkgI8ezsAIk1GCUQI4nVtFspUTnqqiLNJqC1CtjUUDe4
 06erY77yX5mftp++aKv5diJ6HELDz//R8TXXS/d+4ArxpRfnfYxKyHsp8qfv2Kx7nanwho+++IXa
 C9kn/8Fs79G91euHhX+3F/OyGOKMTbVOEouEBqUVBE8AtBKSBFpZglGaNFGcODVsRKlTVePv2LKh
 deuFGzuPtbtp8eYPnx+Oz/3ydp0kSTRW6nml3Cmea3HOy37p1qX+vR+8+vbDC4P7tYrrv/rQwpv7
 /WZWZHzxuln7ChV0xwUhRCB4EyD2y3Fdl2FvFNnXaps9Ozant0/NdPZvXNdp/vZvP/5X+n/bsUGX
 Ay13vnNdT7VnBzd99Ac/1ksXd3/gKqkbL7fdtbftqzjXsjopas+48qSJVsQYtZHwqst61dxMNsgy
 Nf75jx953o3LX8Xue+/lIp/75W3yc390ON7xT7eLbxw/94cLP9m3R35M+6+/OCNz0zPKqCQYo8jT
 VI6dPJnNzffKN96yJ6gYS33nr+2QiJeIl8+/Y8tf+9sqL2YP/vbfEIA7b96pv/rBKwRgZmp9OhzV
 W/sr/c7SqWpmuDzM67LeEMZBAfwfddteBC/sLi8AAAAASUVORK5CYII=

## mancala 0.1.10-1

=== debian/changelog ===
mancala (0.1.10-1) unstable; urgency=low

  * added our own TTF
  * renamed folder res to data

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Thu, 08 Oct 2009 17:24:40 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: mancala
 Architecture: any
 Section: user/games
-Depends: ${shlibs:Depends}, ${misc:Depends}, eff-content-fonts
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Mancala, the ancient African game of skill!
  Maemo version of mancala from http://cmancala.sourceforge.net/
 Xb-Maemo-Display-Name: Mancala

## mancala 0.1.10-2

=== Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 	mkdir -p $(DESTDIR)/usr/share/applications/hildon
 	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/40x40/apps
 	mkdir -p $(DESTDIR)/usr/share/dbus-1/services
-	cp res/mancala.desktop $(DESTDIR)/usr/share/applications/hildon
-	cp res/mancala.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/mancala.png
-	cp res/com.nokia.mancala.service $(DESTDIR)/usr/share/dbus-1/services/
+	cp data/mancala.desktop $(DESTDIR)/usr/share/applications/hildon
+	cp data/mancala.png $(DESTDIR)/usr/share/icons/hicolor/40x40/apps/mancala.png
+	cp data/com.nokia.mancala.service $(DESTDIR)/usr/share/dbus-1/services/
 
 clean:
 	rm -f build-stamp config.guess config.sub

=== src/Makefile ===
--- 
+++ 
@@ -54,8 +54,9 @@
 	mkdir -p $(DESTDIR)/home/opt/mancala/bin/
 	cp ./mancala $(DESTDIR)/home/opt/mancala/bin/
 	mkdir -p $(DESTDIR)/home/opt/mancala/data/
-	cp ../res/*.png $(DESTDIR)/home/opt/mancala/data/
-	cp ../res/pick.wav $(DESTDIR)/home/opt/mancala/data/
+	cp ../data/*.png $(DESTDIR)/home/opt/mancala/data/
+	cp ../data/*.wav $(DESTDIR)/home/opt/mancala/data/
+	cp ../data/*.ttf $(DESTDIR)/home/opt/mancala/data/
 
 
 uninstall:

=== debian/changelog ===
mancala (0.1.10-2) unstable; urgency=low

  * updated control file 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Thu, 08 Oct 2009 18:31:26 +0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Reto Zingg <g.d0b3rm4n@gmail.com>
 Build-Depends: debhelper (>= 5), libhildon1-dev, libosso-dev, autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
 Standards-Version: 3.7.2
+Homepage: http://mancala.garage.maemo.org/
 
 Package: mancala
 Architecture: any
@@ -11,6 +12,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Mancala, the ancient African game of skill!
  Maemo version of mancala from http://cmancala.sourceforge.net/
+ Please file bugs here for this maemo version:
+ https://garage.maemo.org/tracker/?atid=3836&group_id=1027&func=browse
+Homepage: http://mancala.garage.maemo.org/
 Xb-Maemo-Display-Name: Mancala
 Xb-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=0


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: 
	dh_testdir
	# Add here commands to configure the package.

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mancala
	$(MAKE) DESTDIR=$(CURDIR)/debian/mancala install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
	dh_installdocs -XFAQ -XNEWS -XBUGS -XREADME.translators -XTODO -XREADME
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mancala 0.2.1-4

=== src/plugin/Makefile ===
# GNU Makefile -- Makefile
# 2009 Reto Zingg

CC = gcc
DBG = gdb
STD = _GNU_SOURCE
CFLAGS = `pkg-config hildon-1 --cflags` -I/usr/include/dbus-1.0/ -I/usr/lib/dbus-1.0/include/
LFLAGS =  -shared `pkg-config hildon-1 --libs`

MAIN_OBJ = mancala-ui-plugin.o



#'$<' is filename of input, '$@' is filename of output
.c.o:
	$(CC) -c -g$(DBG) -Wall $(CFLAGS) -D$(STD) $<
.h.o:
	$(CC) -c -g$(DBG) -Wall $(CFLAGS) -D$(STD) $<

all:	$(MAIN_OBJ)
	$(CC) $(LFLAGS) $(MAIN_OBJ) -o mancala-ui-plugin.so

install:	all
	mkdir -p $(DESTDIR)/home/opt/mancala/plugin/
	cp mancala-ui-plugin.so $(DESTDIR)/home/opt/mancala/plugin/

clean:
	rm -f *.o *.core *.swp *~ *.log

clobber:	clean
	rm -f mancala-ui-plugin.so

=== debian/changelog ===
mancala (0.2.1-4) unstable; urgency=low

  * use hgw_context_compat_destroy_deinit instead of hgw_context_destroy

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sun, 27 Dec 2009 16:39:55 +0200

mancala (0.2.1-3) unstable; urgency=low

  * add build dependency on hildon-games-wrapper-dev 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sun, 27 Dec 2009 16:34:22 +0200

mancala (0.2.1-2) unstable; urgency=low

  * add build dependency on osso-games-startup-dev 

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sun, 27 Dec 2009 16:27:23 +0200

mancala (0.2.1-1) unstable; urgency=low

  * refractoring to use osso-game-startup

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Fri, 25 Dec 2009 13:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,23 @@
 Section: games
 Priority: extra
 Maintainer: Reto Zingg <g.d0b3rm4n@gmail.com>
-Build-Depends: debhelper (>= 5), libhildon1-dev, libosso-dev, autotools-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
+Build-Depends: debhelper (>= 5),
+               libhildon1-dev,
+               libosso-dev,
+               autotools-dev,
+               libsdl-image1.2-dev,
+               libsdl-ttf2.0-dev,
+               libsdl1.2-dev,
+               libsdl-mixer1.2-dev,
+               osso-games-startup-dev,
+               hildon-games-wrapper-dev
 Standards-Version: 3.7.2
 Homepage: http://mancala.garage.maemo.org/
 
 Package: mancala
 Architecture: any
 Section: user/games
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup, hildon-games-wrapper0
 Description: Mancala, the ancient African game of skill!
  Maemo version of mancala from http://cmancala.sourceforge.net/
  Please file bugs here for this maemo version:

## mancala 0.2.2-1

=== debian/changelog ===
mancala (0.2.2-1) unstable; urgency=low

  * use hgw_context_destroy now proper

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Mon, 28 Dec 2009 15:22:47 +0200

## mancala 0.2.3-1

=== src/Makefile ===
--- 
+++ 
@@ -17,14 +17,19 @@
 DBG = gdb
 STD = _GNU_SOURCE
 CFLAGS = `sdl-config --cflags` -I/usr/local/include/SDL `pkg-config hildon-1 --cflags` -I/usr/include/dbus-1.0/ -I/usr/lib/dbus-1.0/include/
-LFLAGS = `sdl-config --static-libs ` -lSDL_image -lSDL_ttf -lSDL_mixer `pkg-config hildon-1 --libs` `pkg-config --libs  libosso`
+LFLAGS = `sdl-config --static-libs ` -lSDL_image -lSDL_ttf -lSDL_mixer `pkg-config hildon-1 --libs` `pkg-config --libs  libosso` -lhgw
 
-MAIN_OBJ = main.o graphics.o mancala.o sounds.o play.o
+# MAIN_OBJ = main.o graphics.o mancala.o sounds.o play.o
+MAIN_OBJ = graphics.o mancala.o sounds.o play.o callbacks.o
 TEST_OBJ = ai-test.o mancala.o
 
 NORMAL = ai.o
 RECURSE = ai-init.o ai-recurse.o
 ULTIMATE = ai-init.o ai-ultimate.o
+
+subsystem:
+	$(MAKE) -C launcher
+	$(MAKE) -C plugin 
 
 #'$<' is filename of input, '$@' is filename of output
 .c.o:
@@ -33,6 +38,8 @@
 	$(CC) -c -g$(DBG) -Wall $(CFLAGS) -D$(STD) $<
 
 all:		$(MAIN_OBJ) $(NORMAL)
+	$(MAKE) -C launcher all
+	$(MAKE) -C plugin all
 	$(CC) $(MAIN_OBJ) $(NORMAL) $(LFLAGS) -o mancala
 
 recurse:	$(MAIN_OBJ) $(RECURSE)
@@ -57,6 +64,8 @@
 	cp ../data/*.png $(DESTDIR)/home/opt/mancala/data/
 	cp ../data/*.wav $(DESTDIR)/home/opt/mancala/data/
 	cp ../data/*.ttf $(DESTDIR)/home/opt/mancala/data/
+	$(MAKE) -C launcher install
+	$(MAKE) -C plugin install
 
 
 uninstall:
@@ -65,9 +74,13 @@
 
 clean:
 	rm -f *.o *.core *.swp *~ *.log
+	$(MAKE) -C launcher clean
+	$(MAKE) -C plugin clean
 
 clobber:	clean
 	rm -f mancala ai-test
+	$(MAKE) -C launcher clobber
+	$(MAKE) -C plugin clobber
 
 distclean:	clobber
 	@echo "No configuration files to distclean yet."

=== src/launcher/Makefile ===
# GNU Makefile -- Makefile
# 2009 Reto Zingg


CC = gcc


all:
	$(CC) mancala-launcher.c -o mancala-launcher

install:	all
	mkdir -p $(DESTDIR)/home/opt/mancala/bin/
	cp ./mancala-launcher $(DESTDIR)/home/opt/mancala/bin/mancala-launcher

uninstall:
	rm -rf $(DESTDIR)/home/opt/mancala/mancala-launcher

clean:
	rm -f *.o *.core *.swp *~ *.log

clobber:	clean
	rm -f mancala-launcher

=== debian/changelog ===
mancala (0.2.3-1) unstable; urgency=low

  * do not use SDL_Caption and Icon

 -- Reto Zingg <reto.zingg@nokia.com>  Mon, 28 Dec 2009 16:56:45 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                hildon-games-wrapper-dev
 Standards-Version: 3.7.2
 Homepage: http://mancala.garage.maemo.org/
+Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=3836&group_id=1027&func=browse
 
 Package: mancala
 Architecture: any

## mancala 0.3.0

=== debian/changelog ===
mancala (0.3.0) unstable; urgency=low

  * new qt version

 -- Reto Zingg <reto.zingg@nokia.com>  Sat,  3 Jul 2010 22:32:02 +0300

## mancala 0.3.1

=== debian/changelog ===
mancala (0.3.1) unstable; urgency=low

  * new qt version, based on KDE version

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sat,  3 Jul 2010 23:42:39 +0300

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,7 @@
 Priority: extra
 Maintainer: Reto Zingg <g.d0b3rm4n@gmail.com>
 Build-Depends: debhelper (>= 5),
-               libhildon1-dev,
-               libosso-dev,
-               autotools-dev,
-               libsdl-image1.2-dev,
-               libsdl-ttf2.0-dev,
-               libsdl1.2-dev,
-               libsdl-mixer1.2-dev,
-               osso-games-startup-dev,
-               hildon-games-wrapper-dev
+               libqt4-dev
 Standards-Version: 3.7.2
 Homepage: http://mancala.garage.maemo.org/
 Xsbc-Bugtracker: https://garage.maemo.org/tracker/?atid=3836&group_id=1027&func=browse
@@ -21,7 +13,8 @@
 Section: user/games
 Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup, hildon-games-wrapper0
 Description: Mancala, the ancient African game of skill!
- Maemo version of mancala from http://cmancala.sourceforge.net/
+ Maemo version of mancala from KDE project.
+ http://websvn.kde.org/trunk/kdereview/mancala/
  Please file bugs here for this maemo version:
  https://garage.maemo.org/tracker/?atid=3836&group_id=1027&func=browse
 Homepage: http://mancala.garage.maemo.org/

## mancala 0.3.2

=== debian/changelog ===
mancala (0.3.2) unstable; urgency=low

  * removed old bin dependencies

 -- Reto Zingg <g.d0b3rm4n@gmail.com>  Sun,  4 Jul 2010 00:11:59 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: mancala
 Architecture: any
 Section: user/games
-Depends: ${shlibs:Depends}, ${misc:Depends}, osso-games-startup, hildon-games-wrapper0
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Mancala, the ancient African game of skill!
  Maemo version of mancala from KDE project.
  http://websvn.kde.org/trunk/kdereview/mancala/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=0

APPNAME := mancala

LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):$(CURDIR)/debian/$(APPNAME)/opt/$(APPNAME)/lib

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/opt/$(APPNAME) ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
	


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/$(APPNAME)
#	dh_installdocs
#	dh_installexamples
#	dh_installman
	dh_link
#	dh_strip --dbg-package=-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	echo $(LD_LIBRARY_PATH)
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mancala 1.0.0

=== Makefile ===
# $Id: Makefile,v 1.6 1998/07/05 16:38:15 sverrehu Exp $
TARGETS		= mancala xmancala
DIST		= mancala
VERMAJ		= 1
VERMIN		= 0
VERPAT		= 0
VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)

CC		= gcc

# Common directories and libraries
INCDIR		= -I.
LIBDIR		= -L.
LIBS		= 

# Directories and libraries for X, Xpm and XForms.
# If you don't have Xpm, you'll need to link with a static version of XForms.
XINCDIR		= -I/local/include
XLIBDIR		= -L/usr/X11R6/lib -L/local/lib
XLIBS		= -lXpm -lforms -lX11 -lm

OPTIM		= -O3 -fomit-frame-pointer
CCOPT		= -Wall $(OPTIM) $(INCDIR) $(XINCDIR) -DVERSION=\"$(VERSION)\"
LDOPT		= -s $(LIBDIR)

# Object files common to all programs.
OBJS		= minimax.o mancala.o

# Object files used by xmancala
XOBJS		= xform.o rulestxt.o


all: $(TARGETS)

mancala: textmain.o $(OBJS)
	$(CC) $(CCOPT) -o $@ textmain.o $(OBJS) $(LDOPT) $(LIBS)

xmancala: xmain.o $(XOBJS) $(OBJS)
	$(CC) $(CCOPT) -o $@ xmain.o $(XOBJS) $(OBJS) \
		$(LDOPT) $(XLIBDIR) $(XLIBS)

.c.o:
	$(CC) -o $@ -c $(CCOPT) $<

clean:
	rm -f *.o core depend *~

veryclean: clean
	rm -f $(TARGETS) $(DIST)-$(VERSION).tar.gz

chmod:
	chmod a+r *

depend dep:
	$(CC) $(INCDIR) $(XINCDIR) -MM *.c >depend

# To let the authors make a distribution. The rest of the Makefile
# should be used by the authors only.
LSMFILE		= $(DIST)-$(VERSION).lsm
DISTDIR		= $(DIST)-$(VERSION)
DISTFILE	= $(DIST)-$(VERSION).tar.gz
DISTFILES	= README INSTALL RULES $(LSMFILE) \
		  Makefile Makefile.bcc \
		  mancala.c mancala.h minimax.c minimax.h \
		  textmain.c \
		  xform.c xform.h xform.fd xmain.c rulestxt.c

$(LSMFILE): FORCE
	VER=$(VERSION); \
	DATE=`date "+%d%b%y"|tr '[a-z]' '[A-Z]'`; \
	sed -e "s/VER/$$VER/g;s/DATE/$$DATE/g" $(DIST).lsm.in > $(LSMFILE)

FORCE:

# Warning: distclean removes the lsm-file, which can not be
# regenerated without the lsm.in-file, which is not part of the package.
distclean: veryclean
	rm -f $(LSMFILE)

dist: $(LSMFILE) chmod
	mkdir $(DISTDIR)
	chmod a+rx $(DISTDIR)
	ln $(DISTFILES) $(DISTDIR)
	tar -cvzf $(DISTFILE) $(DISTDIR)
	chmod a+r $(DISTFILE)
	rm -rf $(DISTDIR)

ifeq (depend,$(wildcard depend))
include depend
endif

## mancala 1.0.1

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.6 1998/07/05 16:38:15 sverrehu Exp $
+# $Id: Makefile,v 1.7 2007-06-13 18:29:52 sverrehu Exp $
 TARGETS		= mancala xmancala
 DIST		= mancala
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 0
+VERPAT		= 1
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 CC		= gcc
@@ -15,8 +15,8 @@
 
 # Directories and libraries for X, Xpm and XForms.
 # If you don't have Xpm, you'll need to link with a static version of XForms.
-XINCDIR		= -I/local/include
-XLIBDIR		= -L/usr/X11R6/lib -L/local/lib
+XINCDIR		= -I/usr/include/X11
+XLIBDIR		= -L/usr/X11R6/lib
 XLIBS		= -lXpm -lforms -lX11 -lm
 
 OPTIM		= -O3 -fomit-frame-pointer

=== debian/changelog ===
mancala (1.0.1-4) unstable; urgency=low

  * Remove uupdate from the watch file
  * Switch to dpkg-source v3
  * Don't link against unused libraries
  * Fix issues with new libforms (Closes: #620634, LP: #904629)
  * Switch debhelper compat 9 and dh
  * Bump Standards-Version, no changes needed
  * Fix the Vcs-Browser field
  * Wrap and sort various files

 -- Paul Wise <pabs@debian.org>  Mon, 18 Jun 2012 15:12:59 +0800

mancala (1.0.1-3) unstable; urgency=low

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Jon Dowland ]
  * add Homepage: field to source stanza

  [ Paul Wise ]
  * Remove homepage from package description
  * Fix bashism in the mancala-text script (Closes: #530136)
  * Support parallel=N in DEB_BUILD_OPTIONS
  * Change priority to extra, most people will not install mancala
  * Bump Standards-Version due to the above changes

 -- Paul Wise <pabs@debian.org>  Tue, 21 Jul 2009 23:22:20 +0200

mancala (1.0.1-2) unstable; urgency=low

  * Lets join the Debian Games team !
  * Honour nostrip: prevent stripping by overriding LDOPT (Closes: #437587)
  * Improve the manual page by fixing hyphens and linking to Wikipedia

 -- Paul Wise <pabs@debian.org>  Sun, 19 Aug 2007 13:56:48 +1000

mancala (1.0.1-1) unstable; urgency=low

  * New upstream release
    - Allows users to specify the number of stones (Closes: #185547)
  * Change my email address now that I'm a Debian Developer
  * Bump debhelper compatibility level
  * Clean up the packaging a bit

 -- Paul Wise <pabs@debian.org>  Wed, 13 Jun 2007 20:04:01 +0100

mancala (1.0.0-9) unstable; urgency=low

  * Fix FTBFS due to xorg 7. Patch by Andreas Jochens closes: #374651
  * Rename mancala.sh to mancala-text
  * We now comply with the new Standards-Version, so update it.

 -- Paul Wise <pabs3@bonedaddy.net>  Wed, 21 Jun 2006 11:23:00 +0800

mancala (1.0.0-8) unstable; urgency=low

  * New maintainer (Closes: #268125)
  * debian/control: Add the homepage and a wikipedia page in the description.
  * debian/menu: Add a menu entry for the text version of mancala.
  * debian/control: Depend on debhelper >= 4.0.0
  * debian/rules: Move dh_* arguments into debian/* files
  * debian/watch: Automatically run uupdate for new versions

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 10 Jan 2006 13:37:20 +0800

mancala (1.0.0-7) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #268125); set maintainer to Debian QA Group.
  * Since libxpm is used only indirectly (through libforms), drop
    `-lXpm -lX11' and the xlibs-dev build dependency.
  * Remove mancala-1.0.0.lsm from the binary package.
  * Switch to debhelper 4.
  * Makefile, debian/rules: Honor DEB_BUILD_OPTIONS={noopt,nostrip}.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/menu: Add quotes to placate Lintian.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 20 Oct 2005 23:54:17 +0200

mancala (1.0.0-6) unstable; urgency=low

  * Compile against free (LGPLed) XForms, so move out of contrib into main

 -- Andrew Gray <ajpg@debian.org>  Sun, 26 Jan 2003 21:46:22 +0000

mancala (1.0.0-5) unstable; urgency=low

  * Corrected typo in debian/control.  Closes: #125108
  * Took console-based mancala out of menu entry, leaving in X version only
  * Bumped standards-version to 3.5.6

 -- Andrew Gray <ajpg@debian.org>  Thu, 20 Dec 2001 22:42:49 +0000

mancala (1.0.0-4) unstable; urgency=low

  * Corrected typo in Build-Depends.  Closes: #93024
  * Added dh_strip to debian/rules

 -- Andrew Gray <ajpg@debian.org>  Sat,  7 Apr 2001 13:59:03 +0100

mancala (1.0.0-3) unstable; urgency=low

  * Added Build-Depends
  * Added note on mancala.sh script to the manual page

 -- Andrew Gray <ajpg@debian.org>  Tue, 13 Mar 2001 13:46:23 +0000

mancala (1.0.0-2) unstable; urgency=low

  * Docs in /usr/share/doc, binaries in /usr/games (policy standards 3.1.1)
  * Added mancala.sh script to run mancala in xterm
  * Now built with libforms0.89
  * Wrote brief manual page.  Closes: #48605

 -- Andrew Gray <ajpg@debian.org>  Fri, 14 Jul 2000 23:54:43 +0100

mancala (1.0.0-1) unstable; urgency=low

  * Initial Release.
  * submitted bug for lack of man page

 -- Andrew Gray <ajpg@debian.org>  Sat,  7 Aug 1999 12:43:52 +0100

=== debian/control ===
Source: mancala
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Paul Wise <pabs@debian.org>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), libforms-bin, libforms-dev
Homepage: http://shh.thathost.com/pub-unix/#Mancala
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/mancala/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/mancala/

Package: mancala
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Implementation of the simple board game called Mancala
 This is an implementation of the simple, but fun board game known as
 Mancala.  Contains both a user-unfriendly character-based interface, and a
 nice, user-friendly X11-interface.  Be warned: If you just bother to read the
 rules, you may get hooked on this! For more information about the Mancala
 family of games, please read http://en.wikipedia.org/wiki/Mancala

=== debian/watch ===
version=2
http://shh.thathost.com/pub-unix/ .*/mancala-(.*)\.tar\.gz

## mancala 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.7 2007-06-13 18:29:52 sverrehu Exp $
+# $Id: Makefile,v 1.11 2012-06-18 18:20:06 sverrehu Exp $
 TARGETS		= mancala xmancala
 DIST		= mancala
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 1
+VERPAT		= 3
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 CC		= gcc
@@ -15,9 +15,9 @@
 
 # Directories and libraries for X, Xpm and XForms.
 # If you don't have Xpm, you'll need to link with a static version of XForms.
-XINCDIR		= -I/usr/include/X11
-XLIBDIR		= -L/usr/X11R6/lib
-XLIBS		= -lXpm -lforms -lX11 -lm
+XINCDIR		= -I/usr/include/X11 -I/opt/local/include
+XLIBDIR		= -L/usr/X11R6/lib -L/opt/local/lib
+XLIBS		= -lforms
 
 OPTIM		= -O3 -fomit-frame-pointer
 CCOPT		= -Wall $(OPTIM) $(INCDIR) $(XINCDIR) -DVERSION=\"$(VERSION)\"
@@ -27,15 +27,19 @@
 OBJS		= minimax.o mancala.o
 
 # Object files used by xmancala
-XOBJS		= xform.o rulestxt.o
+XSRCS		= xform.c rulestxt.c
+XOBJS		= $(XSRCS:.c=.o)
 
 
 all: $(TARGETS)
 
+%.c %.h: %.fd
+	fdesign -convert $<
+
 mancala: textmain.o $(OBJS)
 	$(CC) $(CCOPT) -o $@ textmain.o $(OBJS) $(LDOPT) $(LIBS)
 
-xmancala: xmain.o $(XOBJS) $(OBJS)
+xmancala: $(XOBJS) xmain.o $(OBJS)
 	$(CC) $(CCOPT) -o $@ xmain.o $(XOBJS) $(OBJS) \
 		$(LDOPT) $(XLIBDIR) $(XLIBS)
 
@@ -43,7 +47,7 @@
 	$(CC) -o $@ -c $(CCOPT) $<
 
 clean:
-	rm -f *.o core depend *~
+	rm -f *.o core depend *~  xform.c xform.h
 
 veryclean: clean
 	rm -f $(TARGETS) $(DIST)-$(VERSION).tar.gz
@@ -51,7 +55,7 @@
 chmod:
 	chmod a+r *
 
-depend dep:
+depend dep: xform.h
 	$(CC) $(INCDIR) $(XINCDIR) -MM *.c >depend
 
 # To let the authors make a distribution. The rest of the Makefile
@@ -59,11 +63,11 @@
 LSMFILE		= $(DIST)-$(VERSION).lsm
 DISTDIR		= $(DIST)-$(VERSION)
 DISTFILE	= $(DIST)-$(VERSION).tar.gz
-DISTFILES	= README INSTALL RULES $(LSMFILE) \
+DISTFILES	= README INSTALL RULES $(LSMFILE) ChangeLog NEWS \
 		  Makefile Makefile.bcc \
 		  mancala.c mancala.h minimax.c minimax.h \
 		  textmain.c \
-		  xform.c xform.h xform.fd xmain.c rulestxt.c
+		  xform.fd xmain.c rulestxt.c mancala.6 mancala-text
 
 $(LSMFILE): FORCE
 	VER=$(VERSION); \

=== debian/changelog ===
mancala (1.0.3-2) unstable; urgency=medium

  * Team Upload
  * Move to Salsa
  * Switch to DebHelper 13
  * Set "Rules-Requires-Root: no"
  * Update watch file to v4 & https

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 18:22:36 +0200

mancala (1.0.3-1) unstable; urgency=low

  * New upstream release
    - All patches merged
  * Use canonical Vcs-Svn URL
  * Bump Standards-Version, no changes needed
  * Wrap and sort various files
  * Use the upstream mancala-text and manual page
  * Improve the watch file a bit
  * Add a longtitle to the menu file
  * Add a freedesktop menu file
  * Add an upstream information file
  * Switch to priority optional
  * Install the NEWS file

 -- Paul Wise <pabs@debian.org>  Thu, 04 Jul 2013 18:05:39 +0800

=== debian/control ===
Source: mancala
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Paul Wise <pabs@debian.org>
Standards-Version: 3.9.4
Build-Depends:
 debhelper-compat (= 13),
 libforms-bin,
 libforms-dev
Rules-Requires-Root: no
Homepage: http://shh.thathost.com/pub-unix/#Mancala
Vcs-Git: https://salsa.debian.org/games-team/mancala.git
Vcs-Browser: https://salsa.debian.org/games-team/mancala

Package: mancala
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Implementation of the simple board game called Mancala
 This is an implementation of the simple, but fun board game known as
 Mancala.  Contains both a user-unfriendly character-based interface, and a
 nice, user-friendly X11-interface.  Be warned: If you just bother to read the
 rules, you may get hooked on this! For more information about the Mancala
 family of games, please read http://en.wikipedia.org/wiki/Mancala

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	rm -f xform.h xform.c
	dh_auto_build -- OPTIM="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" LDOPT="$(shell dpkg-buildflags --get LDFLAGS)"

=== debian/watch ===
version=4
https://shh.thathost.com/pub-unix/ .*/mancala-(\d[\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
